Bug 1930152 - Web console crashes during VM creation from template when no storage classes are defined
Summary: Web console crashes during VM creation from template when no storage classes ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Rastislav Wagner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On: 1930064
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-18 12:14 UTC by OpenShift BugZilla Robot
Modified: 2021-03-30 04:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: No storage classes in cluster Consequence: VM wizard breaks the console Fix: Do not fail if no storage classes are present in cluster. Remove dropdown which allows user to change the storage class as there is nothing to choose from. Result: VM wizard works fine when no storage classes are present
Clone Of:
Environment:
Last Closed: 2021-03-30 04:46:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8190 0 None open [release-4.7] Bug 1930152: Do not fail new VM wizard when no storage classes are available 2021-02-18 12:14:46 UTC
Red Hat Product Errata RHSA-2021:0957 0 None None None 2021-03-30 04:46:44 UTC

Description OpenShift BugZilla Robot 2021-02-18 12:14:20 UTC
+++ This bug was initially created as a clone of Bug #1930064 +++

Created attachment 1757757 [details]
screen recording

Description of problem:
Web console crashes during VM creation from template when no storage classes are defined. See the attached screen recording.

$ oc get storageclass
No resources found

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-02-17-130606
kubevirt-hyperconverged-operator.v2.5.3


How reproducible:
always

Steps to Reproduce:
1. Workloads -> Virtualization -> Templates
2. Choose any template and press Create


Actual results:
Web app crashes, leaving the user with a white screen.

Expected results:
Web app should not crash.

Additional info:

Comment 3 Guohua Ouyang 2021-03-25 00:09:59 UTC
Move the bug to verified per comment #6 in bug 1930064.

Comment 5 errata-xmlrpc 2021-03-30 04:46:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.4 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0957


Note You need to log in before you can comment on or make changes to this bug.